/*                                                                                                            
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 */

/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

/*!
    \file   lcmaps_types.h
    \brief  Public header file with typedefs for LCMAPS
    \author Martijn Steenbakkers for the EU DataGrid.
    \ingroup APIforLcmapsPlugins
*/

#ifndef LCMAPS_TYPES_H
#define LCMAPS_TYPES_H

/******************************************************************************
                             Include header files
******************************************************************************/

/******************************************************************************
                               Type definitions
******************************************************************************/

/*!
    \typedef lcmaps_request_t
    \brief Type of the LCMAPS request expressed in RSL/JDL

    (Internal) just a string.
*/
typedef char *lcmaps_request_t;

#endif /* LCMAPS_TYPES_H */

/******************************************************************************
CVS Information:
    $Source: /cvs/jra1mw/org.glite.security.lcmaps-interface/interface/lcmaps_types.h,v $
    $Date: 2004/12/02 17:44:49 $
    $Revision: 1.3 $
    $Author: msteenba $
******************************************************************************/
